<?php

namespace EventPortal\Domain\Agenda;

use EventPortal\Domain\Agenda\Models\Agenda;
use EventPortal\Domain\Agenda\Values\Agenda as AgendaObject;
use EventPortal\Domain\Event\Models\Event;

class AgendasForBuilder
{
    public static function get(Event $event): array
    {
        return Agenda::forEvent($event)
            ->with(['sessions.eventVenue', 'sessions.eventSpeakers'])
            ->orderBy('date')
            ->get()
            ->mapInto(AgendaObject::class)
            ->toArray();
    }
}
