<?php

namespace EventPortal\Domain\Util\Modal;

class ExternalDelegateModal extends Modal
{
    /** @var string */
    public $searchRoute;

    /** @var string */
    public $addRoute;

    public static function make(): self
    {
        return new self('delegate-api');
    }

    public function searchRoute(string $route): self
    {
        $this->searchRoute = $route;

        return $this;
    }

    public function addRoute(string $route): self
    {
        $this->addRoute = $route;

        return $this;
    }

    public function get(): array
    {
        $this->resolve();

        return [
            'type' => $this->type,
            'clientButtons' => $this->actions ?: [],
            'searchRoute' => $this->searchRoute,
            'addRoute' => $this->addRoute,
        ];
    }
}
