<?php

use EventPortal\Domain\Component\Button;
use EventPortal\Domain\Component\Column\TextColumn;
use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Table\Facades\Table;
use EventPortal\Enums\InertiaMethod;

Table::make('event-venue.index')
    ->setColumns(function () {
        return [
            TextColumn::make('Name')->default()->searchable()->sortable(),
            TextColumn::make('Website')->default()->sortable(),
        ];
    })
    ->addGlobalAction(function (Event $event) {
        if (has_permission('event-venue.remove') === false) {
            return [];
        }

        return Button::make('Remove venue from event')
            ->method(InertiaMethod::POST())
            ->route('admin.event.venue.destroy', [
                'event' => $event->id,
            ]);
    });

Table::make('event-venue.add')
    ->setColumns(function () {
        return [
            TextColumn::make('Name')->default()->searchable()->sortable(),
            TextColumn::make('Website')->default()->sortable(),
        ];
    })
    ->addGlobalAction(function (Event $event) {
        return Button::make('Add venue to event')
            ->method(InertiaMethod::POST())
            ->route('admin.event.venue.store', [
                'event' => $event->id,
            ]);
    });
